Removed unused 'privatekey' variable in EPA04 and EPA05 tests
[osm/tests.git] / robot-systest / run_test.sh
index 863cb44..dd77f8e 100755 (executable)
@@ -28,8 +28,7 @@ install_osmclient(){
 download_packages(){
     echo -e "\nDownloading packages ${PACKAGES}"
     rm -rf ${PACKAGES_FOLDER}
-    git clone https://osm.etsi.org/gitlab/vnf-onboarding/osm-packages.git ${PACKAGES_FOLDER} && (cd ${PACKAGES_FOLDER} && \
-        git checkout ${PACKAGES})
+    git clone https://osm.etsi.org/gitlab/vnf-onboarding/osm-packages.git ${PACKAGES_FOLDER}
 }
 
 download_tst010(){
@@ -46,30 +45,74 @@ create_vim(){
         osm vim-create --name ${VIM_TARGET} --user ${OS_USERNAME} --password ${OS_PASSWORD} --tenant ${OS_PROJECT_NAME} \
                        --auth_url ${OS_AUTH_URL} --account_type openstack --description vim \
                        --config "{management_network_name: ${VIM_MGMT_NET}, dataplane_physical_net: ${DATAPLANE:-physnet2}}" || true
-        STATUS="PROCESSING"
+        STATUS=""
         i=0
         while [[ ${STATUS} != "ENABLED" ]]
         do
             ((i++))
             if [[ $i -eq 5 ]]; then
-                echo "VIM stuck in PROCESSING after 50 seconds"
+                echo "VIM stuck for more than 50 seconds as: ${VIM_LIST}"
                 osm vim-delete --force ${VIM_TARGET}
                 sleep 5
                 break
             fi
             sleep 10
-            STATUS=`osm vim-list --long | grep ${VIM_TARGET} | awk '{print $9}'`
+            VIM_LIST=`osm vim-list --long | grep ${VIM_TARGET}`
+            echo VIM status: ${VIM_LIST}
+            STATUS=`echo ${VIM_LIST} | grep -io ENABLED`
         done
         if [[ ${STATUS} = "ENABLED" ]] ; then
             break
         fi
         ((attempts--))
     done
-
     if [ $attempts -lt 0 ] ; then
         echo "VIM failed to enter ENABLED state"
         exit 1
     fi
+    if [ -n "${SDNC_URL}" ]; then
+        osm sdnc-create --name sdnc-osm --type ${SDNC_TYPE} --user ${SDNC_USER} --password ${SDNC_PASSWORD} --url ${SDNC_URL}
+        COUNTER=0
+        STATUS=""
+        while [ ${COUNTER} -lt 5 ] ; do
+            echo "Checking status of SDNC sdnc-osm to see if it is enabled"
+            STATUS=$(osm sdnc-show sdnc-osm |grep -io ENABLED)
+            if [ "${STATUS}" == "ENABLED" ]; then
+                break
+            fi
+            ((COUNTER++))
+            sleep 10
+        done
+        if [ "${STATUS}" == "ENABLED" ]; then
+            echo "SDNC enabled"
+        else
+            echo "SDNC failed to enter ENABLED state"
+            osm sdnc-show sdnc-osm
+            exit 1
+        fi
+        if [ -f /root/port-mapping.yaml ]; then
+            osm vim-update ${VIM_TARGET} --sdn_controller sdnc-osm --sdn_port_mapping /root/port-mapping.yaml
+            COUNTER2=0
+            RESULT=""
+            while [ ${COUNTER2} -lt 5 ] ; do
+                echo "Checking status of VIM $VIM_TARGET to see if there is port-mapping"
+                osm vim-show $VIM_TARGET |grep sdn-port-mapping
+                if [ $? -eq 0 ]; then
+                    RESULT="OK"
+                    break
+                fi
+                ((COUNTER2++))
+                sleep 10
+            done
+            if [ "${RESULT}" == "OK" ]; then
+                echo "Port-mapping correctly added"
+            else
+                echo "Port-mapping failed to be added"
+                osm vim-show ${VIM_TARGET}
+                exit 1
+            fi
+        fi
+    fi
 }
 
 
@@ -115,7 +158,7 @@ Options:
         --env-file: It is the environmental file where is described the OSM target and VIM
         -o <osmclient_version> [OPTIONAL]: It is used to specify a particular osmclient version. Default: latest
         -p <package_branch> [OPTIONAL]: OSM packages repository branch. Default: master
-        -t <testing_tags> [OPTIONAL]: Robot tests tags. [sanity, regression, particular_test]. Default: sanity
+        -t <testing_tags> [OPTIONAL]: Robot tests tags. [sanity, daily, regression, particular_test]. Default: sanity
         -T <testing_branch> [OPTIONAL]: Run SOL005 Robot conformance tests
         -c To create a VIM for the tests